patch --no-backup-if-mismatch -f <<'EOF' ./arch/arm/dts/sun50i-h5-repka-pi3-alt-1ghz.dts
@@ -336,17 +336,22 @@
 	cs-gpios = <0>, <&pio 0 3 0>; /* PA3 */
 
 	status = "okay";
-	spidev@0 {
-		compatible = "rohm,dh2228fv";  
-		status = "okay";
-		reg = <0>;
-		spi-max-frequency = <1000000>;
+          ili9341: ili9341@0 {
+            compatible = "ilitek,ili9341";
+            reg = <0>;
+            pinctrl-names = "default";
+            pinctrl-0 = <&ili9341_pins>;
+            spi-max-frequency = <16000000>;
+            rotate = <90>;
+            bgr;
+            fps = <25>;
+            buswidth = <8>;
+            reset-gpios = <&pio 0 9 1>; /*RESET=PA9*/
+            dc-gpios = <&pio 0 8 0>; /*DC_RS=PA8*/
+            debug = <0>;
 	};
 	spidev@1 {
-		compatible = "rohm,dh2228fv";  
-		status = "okay";
-		reg = <1>;
-		spi-max-frequency = <1000000>;
+		status = "disabled";
 	};
 };
 
@@ -368,6 +373,10 @@
 			function = "gpio_out";
 			output-high;
 		};
+      ili9341_pins: ili9341_pins {
+        pins = "PA9", "PA8"; /*RESET, DC_RS*/
+        function = "gpio_out", "gpio_out" ;
+      };
 };
EOF